Page MenuHomePhabricator

WikiEditor: jQuery UI stylesheet refers to nonexistant ui-bg_*.png images
Closed, ResolvedPublic

Description

Extension works, but the server log file shows access errors for non-existing image files:

wiki/images/ui-bg_flat_75_ffffff_40x100.png, referer: http://wiki/e/index.php?title=test&action=edit

wiki/images/ui-bg_highlight-soft_75_cccccc_1x100.png, referer: http://wiki/e/index.php?title=test&action=edit

wiki/images/ui-bg_glass_75_e6e6e6_1x400.png, referer: http://wiki/e/index.php?title=test&action=edit

  • latest MediaWiki core version of today (2014-01-08)
  • latest E:WikiEditor version

Version: master
Severity: normal

Details

Reference
bz59845

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz59845.
bzimport added a subscriber: Unknown Object (MLST).
Wikinaut created this task.Jan 9 2014, 12:20 AM
TheDJ added a comment.Apr 7 2014, 2:28 PM

This is a problem in (our version of) jQuery UI, which is used by the dialogs mode of WikiEditor

(In reply to Derk-Jan Hartman from comment #1)

This is a problem in (our version of) jQuery UI, which is used by the
dialogs mode of WikiEditor

This was fully clear. It needs urgently to be fixed by WikiEditor developers.

Could you elaborate why this is suddenly "urgent" after three months?

(In reply to Andre Klapper from comment #3)

Could you elaborate why this is suddenly "urgent" after three months?

André, yes.

I waited until these "header already sent" problem was fixed, which also spoilt my server log files. Now, these missing-image messages are spoiling my server log files since January, and I think this is a bad situation which the WikiEditor extension coders have to solve with a higher than average priority.

Spoiling log files and knowning the reason is not good behavior of an extension.

I can understand, that you perhaps don't like my harsh tone, sorry for that, but I also don't like fiddling around with priorities.

TheDJ added a comment.Apr 8 2014, 4:50 PM

"This was fully clear". Then you should have added it. It would have saved me 10 mins of triage time.

(In reply to Derk-Jan Hartman from comment #5)

"This was fully clear". Then you should have added it. It would have saved
me 10 mins of triage time.

Derk-Jan, can you fix this? It would be nice. Groetjes.

TheDJ added a comment.Apr 8 2014, 5:13 PM

This only occurs when using a skin !== Vector

(In reply to Derk-Jan Hartman from comment #7)

This only occurs when using a skin !== Vector

Confirmed: we use monobook, and want to stick to that.

TheDJ added a comment.Apr 8 2014, 5:34 PM

The problem disappears when running with debug=true

Inspection learns that this seems to be a problem with the CSS processor of ResourceLoader. It fails to rewrite some CSS rules.

Specifically it seems to be with lines of the type:

background: #ffffff/*{bgColorActive}*/ url(images/ui-bg_glass_65_ffffff_1x400.png)/*{bgImgUrlActive}*/ 50%/*{bgActiveXPos}*/ 50%/*{bgActiveYPos}*/ repeat-x/*{bgActiveRepeat}*/;

Will be fixed by MediaWiki 1.24.

Rephrased as calling this a server error is confusing.

Relevant changes:

CSSMin: Fix bug in url() value remapping

Bug: 60077
Change-Id: Ife00d01b78c6369f20ffc49d20aa58e354a61ee7

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:13 AM